Skip to main content
GET
/
v0
/
organisation
/
{org_id}
Get organisation details
curl --request GET \
  --url https://sis.sumvin.com/v0/organisation/{org_id} \
  --header 'Authorization: Bearer <token>'
{
  "_links": {
    "self": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    },
    "members": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    },
    "keys": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    },
    "environments": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    },
    "events": {
      "href": "<string>",
      "method": "GET",
      "templated": false,
      "description": "<string>"
    }
  },
  "organisation": {
    "id": "<string>",
    "name": "<string>",
    "status": "<string>",
    "created_at": 123,
    "contact_email": "<string>",
    "clerk_org_id": "<string>",
    "members": [
      {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>",
        "status": "<string>",
        "created_at": 123
      }
    ],
    "environments": [
      {
        "id": "<string>",
        "name": "<string>",
        "created_at": 123,
        "updated_at": 123,
        "label": "<string>",
        "auth": {
          "provider": "<string>",
          "is_active": true,
          "created_at": 123,
          "updated_at": 123,
          "credentials": {
            "environment_id": "<string>",
            "api_key": "<string>"
          }
        },
        "features": [
          {
            "feature": "<string>",
            "enabled": true,
            "config": {},
            "created_at": 123,
            "updated_at": 123
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Query Parameters

expand
string[]

Response

Successful Response

organisation
OrganisationData · object
required